/*
 * Script Derby per a la configuració de GATD.
 *
 * Després d'haver instal·lat GATD i amb Derby corrent:
 *
 * 1. Editar aquest arxiu i ...
 *
 *  1.a. modificar servidor i port a la sentència "connect", si cal.
 *  1.b. modificar la sentència "update CONFIGURACIO" amb els paràmetres adients.
 *  1.c. opcionalment, modificar la sentencia "update USUARI" per a posar una 
 *       altra adrça e-mail al tècnic que rebrà la 1a. petició.
 *
 *
 * 2. Excutar l'inteficie de línia d'ordres de Derby "ij".
 *
 * 2. Des d'ij, executar aquest arxiu amb...
 *
 * ij> run 'configura.sql';
 *
 * 3. Sortir d'ij amb...
 *
 * ij> quit;
 *
 * 4. Reinicar GlassFish per a que carregui la nova configuració
 */

-- Editar si cal
connect 'jdbc:derby://localhost:1527/GATD_db';

-- Paràmetres configurables. ** EDITAR **
update CONFIGURACIO set
    -- adreça i port del servidor
    SERVIDOR = 'localhost',
    PORT = '8080',
    -- paràmetres SMTP
    MAILUSUARI = 'usuari smtp',
    MAILCLAU = 'clau smtp',
    MAILHOST = 'smtp.servidor.com',
    MAILREMITENT = 'gatd@tele-tech.com'
where
    id = 1
;

-- PROVES.
-- El tècnic #0007 es qui rebrà la 1a. petició que faci Client 1.
-- Aquí podem canviar el seu e-mail per a verificar que s'envia la notificació
update USUARI
    set EMAIL = 'Tecnic7@teletech.com'
where NOMUSUARI = '#0007'
;

disconnect;




