@REM Desplegament a Windows de l'aplicació GlassFish "GATD"
@REM Requereix que el directori glassfish\bin sigui al path i que el SGBD 
@REM Derby i el servidor GlassFish estiguin corrent.

CALL asadmin create-jdbc-connection-pool --datasourceclassname=org.apache.derby.jdbc.ClientDataSource --restype=javax.sql.DataSource --property portNumber=1527:password=APP:user=APP:serverName=localhost:databaseName=GATD_db:connectionAttributes=;create\=true GATD_pool
CALL asadmin create-jdbc-resource --connectionpoolid GATD_pool jdbc/GATD_ds
@REM Creació d'un reialme (realm) de seguretat per GATD, basat en la taula USUARI.
CALL asadmin create-auth-realm --classname com.sun.enterprise.security.auth.realm.jdbc.JDBCRealm --property datasource-jndi=jdbc/GATD_ds:user-table=USUARI:user-name-column=NOMUSUARI:password-column=CLAU:group-table=USUARI:group-name-column=CLASSE:jaas-context=jdbcRealm:digest-algorithm=none GATD_realm
CALL asadmin deploy --force=true GATD.war
PAUSE