/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.atencio;

import edu.uoc.tcfj2ee_gatd.model.atencio.entitats.Tecnic;
import edu.uoc.tcfj2ee_gatd.model.peticions.entitats.Peticio;

/**
 * Constructor de missatges de correu electrònic.
 * @author Jordi Tejero
 *
 */
public interface IConstructorEMail {
	/**
	 * Dona el missatge e-mail que ha de rebre un tècnic quan li és
	 * assignada una petició
	 * @param responsable el tècnic destinatari del missatge
	 * @param p la petició que ha estat assignada al tècnic
	 * @return el missatge dirigit a l'adreça e-mail del tècnic
	 */
	public EMailSenzill getMsgAssignada(Tecnic responsable, Peticio p);
}
