/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.comu;

/**
 * Excepció en temps d'execució (runtime). Marca la transacció per a "rollback".
 * @author Jordi Tejero
 *
 */
public class GATDExcepcioExecucio extends RuntimeException {

	/**
	 * Versió de serialització
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor sense paràmetres
	 */
	public GATDExcepcioExecucio() {
		// no res
	}

	/**
	 * Constructor amb un missatge
	 * @param message
	 */
	public GATDExcepcioExecucio(String message) {
		super(message);
		
	}

	/**
	 * Constructor amb una causa
	 * @param cause la causa
	 */
	public GATDExcepcioExecucio(Throwable cause) {
		super(cause);
		
	}

	/**
	 * Constructor amb causa i missatge
	 * @param message el missatge
	 * @param cause la causa
	 */
	public GATDExcepcioExecucio(String message, Throwable cause) {
		super(message, cause);
		
	}

}
