/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.peticions;

import javax.ejb.ApplicationException;

import edu.uoc.tcfj2ee_gatd.model.comu.GATDExcepcio;

/**
 * Excepció a la gestió de les peticions. Marca la transacció per a
 * "rollback".
 * @author Jordi Tejero
 *
 */
@ApplicationException(rollback = true)
public class GATDExcepcioPeticions extends GATDExcepcio {

	/**
	 * Versió per la serialització
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor amb clau i arguments addicionals
	 * @param clau la clau
	 * @param aargs els arguments addicionals
	 */
	public GATDExcepcioPeticions(String clau, Object... aargs) {
		super(clau, aargs);
		
	}

	/**
	 * Constructor a partir d'una altra GATDExcepcio G, sense clau ni arguments.
	 * Agafa els de G.
	 * @param cause la causa, G
	 */
	public GATDExcepcioPeticions(GATDExcepcio cause) {
		super(cause);
		
	}


	/**
	 * Constructor
	 * @param cause
	 * @param clau
	 * @param aargs
	 */
	public GATDExcepcioPeticions(Throwable cause, String clau, Object... aargs) {
		super(cause, clau, aargs);
		
	}

}
