/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.usuaris;

import javax.ejb.ApplicationException;

import edu.uoc.tcfj2ee_gatd.model.comu.GATDExcepcio;

/**
 * Excepció en la gestió d'usuaris. De produir-se, marcarà la transacció
 * en curs per a "rollback". 
 * @author "Jordi Tejero"
 *
 */
@ApplicationException(rollback = true)
public class GATDExcepcioUsuaris extends GATDExcepcio {

    /**
     * Versió per la serialització
     */
    private static final long serialVersionUID = 1L;


    /**
     * Constructor
     * @param clau clau del missatge al "resource bundle" del missatges
     * @param aargs arguments addicionals per a formatar el missatge
     */
    public GATDExcepcioUsuaris(String clau, Object...aargs) {
        super(clau, aargs);
    }

    /**
	 * Constructor a partir d'una altra GATDExcepcio G, sense clau ni arguments.
	 * Agafa els de G.
     * @param cause la causa, G
     */
    public GATDExcepcioUsuaris(GATDExcepcio cause) {
        super(cause);
    }

    /**
     * Constructor
     * @param cause
     * @param clau
     * @param aargs
     */
    public GATDExcepcioUsuaris(Throwable cause, String clau, Object...aargs) {
        super(cause, clau, aargs);      
    }

}
