

// Habilita o deshabilita una "text area"
function habilitaTextArea(bHabilita, idRelTextArea) {
	var ta = elementIdRel("textarea", idRelTextArea);
	if(ta != null)
		ta.disabled = !bHabilita;
}
/*
 * Torna el primer "tag" d'un cert tipus del document actual, que té un
 * id. relatiu donat.
 */
function elementIdRel(tag, idRel) {
	var i;
	var elems = document.getElementsByTagName(tag);
	for(i = 0; i < elems.length; ++i) {
		var candidat = elems[i];
		if(candidat.id.match(".*" + idRel)) {
			return candidat;
		}
	}
	return null;
}

/*
 * Dona un element germà d'un altre, a partir de l'identificador relatiu
 */
function getElementGerma(elem, idRelGerma) {
	var nomElem = elem.name;
	var idx = nomElem.lastIndexOf(":");
	// si idx == -1, llavors nomElem.substr(0, idx+1) == ""
	var idAbs = nomElem.substr(0, idx+1).concat(idRelGerma); 
	// alert("getElementGerma(" + elem.name + ", " + idRelGerma + ") -> " + idAbs);
	return document.getElementById(idAbs);
}


//Commuta tots els "checkbox" del document que tenen un cert nom 
function commChecks(nm) {
	var i;
	var inputs = document.getElementsByName(nm);
	
	//alert("commChecksFrm(" + nm + ") -> " + inputs.lenth);
	
	for(i = 0; i < inputs.length; ++i) {
		if(inputs[i].type == "checkbox")
			inputs[i].checked = !inputs[i].checked;
	}

	return false;
}

// neteja un element "input" germà d'un element, donat pel seu id relatiu
function neteja(elem, idRelGerma) {
	var input = getElementGerma(elem, idRelGerma);
	// alert("neteja(" + input.id + ")");
	input.value = "";
	
	return true;
}