/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.peticions.entitats;

import javax.persistence.Entity;

import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Adreça;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Contacte;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.DocIdentitat;

/**
 * Un controlador
 * @author Jordi Tejero
 *
 */
@Entity
public class Controlador extends Empleat {

	/**
	 * Constructor sense paràmetres, obligatori
	 */
	public Controlador() {
		super();
	}

	/**
	 * Constructor
	 * @param nomUsuari
	 * @param clauAccess
	 * @param di
	 * @param contacte
	 * @param adreça
	 * @param codiIdioma
	 * @param numSS
	 */
	public Controlador(String nomUsuari, String clauAccess, DocIdentitat di,
			Contacte contacte, Adreça adreça, String codiIdioma, String numSS) {
		super(nomUsuari, clauAccess, di, contacte, adreça, codiIdioma, numSS);
		
	}

}
